# Dev Notes

To develop against this project, you will need Rust 1.70 or greater installed.

You will want to install the `sqlx-cli` tool via Cargo: `cargo install sqlx-cli`

You will need to initialize a sqlite database store: `touch aural_isle.sqlite.db`

You will need to copy the example env file to .env: `cp env.example .env`

Then you should be able to run the initial database migrations: `sqlx migrate run`. (During initial dev, if you have already run the initial migration, you will need to delete the sqlite database store and re-create it as above)